Reduction

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## no.uib.cipr.matrix.distributed
Class Reduction

    java.lang.Object
      no.uib.cipr.matrix.distributed.Reduction

    public abstract class Reduction

extends java.lang.Object

Performs a reduction operation. When performing a reduction, start with the value return by the init function, for example:

     int[] x, y;
     Reduction r;
     // ...
     r.initInt(x);
     r.opInt(x, y);

Many predefined reductions are available in `Reductions`.

Constructor Summary
`Reduction()`

Method Summary
`void` | `init(java.lang.Object x)` Sets up the output data
`protected abstract void` | `initBoolean(boolean[] x)`
`protected abstract void` | `initByte(byte[] x)`
`protected abstract void` | `initChar(char[] x)`
`protected abstract void` | `initDouble(double[] x)`
`protected abstract void` | `initFloat(float[] x)`
`protected abstract void` | `initInt(int[] x)`
`protected abstract void` | `initLong(long[] x)`
`protected abstract void` | `initShort(short[] x)`
`void` | `op(java.lang.Object x, java.lang.Object y)` Adds to the output data
`protected abstract void` | `opBoolean(boolean[] x, boolean[] y)`
`protected abstract void` | `opByte(byte[] x, byte[] y)`
`protected abstract void` | `opChar(char[] x, char[] y)`
`protected abstract void` | `opDouble(double[] x, double[] y)`
`protected abstract void` | `opFloat(float[] x, float[] y)`
`protected abstract void` | `opInt(int[] x, int[] y)`
`protected abstract void` | `opLong(long[] x, long[] y)`
`protected abstract void` | `opShort(short[] x, short[] y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Reduction

    public Reduction()

Method Detail

### init

    public void init(java.lang.Object x)

  Sets up the output data

### op

    public void op(java.lang.Object x,
                   java.lang.Object y)

  Adds to the output data

  Parameters:
    `x` - Output data
    `y` - New input data

### initBoolean

    protected abstract void initBoolean(boolean[] x)

### initByte

    protected abstract void initByte(byte[] x)

### initChar

    protected abstract void initChar(char[] x)

### initShort

    protected abstract void initShort(short[] x)

### initInt

    protected abstract void initInt(int[] x)

### initFloat

    protected abstract void initFloat(float[] x)

### initLong

    protected abstract void initLong(long[] x)

### initDouble

    protected abstract void initDouble(double[] x)

### opBoolean

    protected abstract void opBoolean(boolean[] x,
                                      boolean[] y)

### opByte

    protected abstract void opByte(byte[] x,
                                   byte[] y)

### opChar

    protected abstract void opChar(char[] x,
                                   char[] y)

### opShort

    protected abstract void opShort(short[] x,
                                    short[] y)

### opInt

    protected abstract void opInt(int[] x,
                                  int[] y)

### opFloat

    protected abstract void opFloat(float[] x,
                                    float[] y)

### opLong

    protected abstract void opLong(long[] x,
                                   long[] y)

### opDouble

    protected abstract void opDouble(double[] x,
                                     double[] y)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD